Package fr.gouv.vitam.worker.core.plugin.purge

# Class PurgeObjectGroupPreparationHandler

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.purge.PurgeObjectGroupPreparationHandler

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

Direct Known Subclasses:
  `EliminationActionObjectGroupPreparationHandler`, `TransferReplyObjectGroupPreparationHandler`

public class PurgeObjectGroupPreparationHandler extends ActionHandler
Purge object group preparation handler.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARCHIVAL_AGENCY_IDENTIFIER`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `PurgeObjectGroupPreparationHandler(String actionId)`
  Default constructor
  `protected`
  `PurgeObjectGroupPreparationHandler(String actionId, PurgeReportService purgeReportService, int objectGroupBulkSize)`
  Test only constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkMandatoryIOParameter(HandlerIO handler)`
  Check mandatory parameter
  `ItemStatus`
  `execute(WorkerParameters param, HandlerIO handler)`
  Execute an action
  `com.fasterxml.jackson.databind.JsonNode`
  `retrieveTransferReplyContext(HandlerIO handler)`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryParameters, close, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ARCHIVAL_AGENCY_IDENTIFIER

    public static final String ARCHIVAL_AGENCY_IDENTIFIER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PurgeObjectGroupPreparationHandler

    public PurgeObjectGroupPreparationHandler(String actionId)
    Default constructor
    Parameters:
      `actionId` -

  - ### PurgeObjectGroupPreparationHandler

    protected PurgeObjectGroupPreparationHandler(String actionId, PurgeReportService purgeReportService, int objectGroupBulkSize)
    Test only constructor

- ## Method Details

  - ### execute

    public ItemStatus execute(WorkerParameters param, HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Execute an action
    Overrides:
      `execute` in class `ActionHandler`
    Parameters:
      `param` - `WorkerParameters`
      `handler` - the handlerIo
    Returns:
      CompositeItemStatus:response contains a list of functional message and status code
    Throws:
      `ProcessingException` - if an error is encountered when executing the action

  - ### checkMandatoryIOParameter

    public void checkMandatoryIOParameter(HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Check mandatory parameter
    Overrides:
      `checkMandatoryIOParameter` in class `ActionHandler`
    Parameters:
      `handler` - input output list
    Throws:
      `ProcessingException` - when handler io is not complete

  - ### retrieveTransferReplyContext

    public com.fasterxml.jackson.databind.JsonNode retrieveTransferReplyContext(HandlerIO handler) throws ProcessingStatusException
    Throws:
      `ProcessingStatusException`